[dpdk-dev,2/2] doc: fix format in OpenSSL installation guide

Message ID 20171122180312.19014-2-andrea.grandi@intel.com
State Accepted, archived
Delegated to: Pablo de Lara Guarch
Headers show

Checks

Context Check Description
ci/Intel-compilation success Compilation OK
ci/checkpatch success coding style OK

Commit Message

Andrea Grandi Nov. 22, 2017, 6:03 p.m.
List of supported OpenSSL versions and code block with dependencies were
not properly formatted.

Fixes: d61f70b4c918 ("crypto/libcrypto: add driver for OpenSSL library")

Signed-off-by: Andrea Grandi <andrea.grandi@intel.com>
---
 doc/guides/cryptodevs/openssl.rst | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

Comments

De Lara Guarch, Pablo Dec. 11, 2017, 10:04 a.m. | #1
> -----Original Message-----
> From: dev [mailto:dev-bounces@dpdk.org] On Behalf Of Andrea Grandi
> Sent: Wednesday, November 22, 2017 6:03 PM
> To: dev@dpdk.org
> Cc: stable@dpdk.org
> Subject: [dpdk-dev] [PATCH 2/2] doc: fix format in OpenSSL installation
> guide
> 
> List of supported OpenSSL versions and code block with dependencies were
> not properly formatted.
> 
> Fixes: d61f70b4c918 ("crypto/libcrypto: add driver for OpenSSL library")
> 
> Signed-off-by: Andrea Grandi <andrea.grandi@intel.com>

Acked-by: Pablo de Lara <pablo.de.lara.guarch@intel.com>

Patch

diff --git a/doc/guides/cryptodevs/openssl.rst b/doc/guides/cryptodevs/openssl.rst
index 7b455ed..61a4da3 100644
--- a/doc/guides/cryptodevs/openssl.rst
+++ b/doc/guides/cryptodevs/openssl.rst
@@ -80,17 +80,23 @@  To compile openssl PMD, it has to be enabled in the config/common_base file
 and appropriate openssl packages have to be installed in the build environment.
 
 The newest openssl library version is supported:
+
 * 1.0.2h-fips  3 May 2016.
+
 Older versions that were also verified:
+
 * 1.0.1f 6 Jan 2014
 * 1.0.1 14 Mar 2012
 
 For Ubuntu 14.04 LTS these packages have to be installed in the build system:
-sudo apt-get install openssl
-sudo apt-get install libc6-dev-i386 (for i686-native-linuxapp-gcc target)
+
+.. code-block:: console
+
+    sudo apt-get install openssl
+    sudo apt-get install libc6-dev-i386 # for i686-native-linuxapp-gcc target
 
 This code was also verified on Fedora 24.
-This code was NOT yet verified on FreeBSD.
+This code has NOT been verified on FreeBSD yet.
 
 Initialization
 --------------